An update on the SSE compatibility issue

Dear players,

As I mentioned in my blog a couple of weeks ago we ran into unexpected issues with SSE support in the final stages of Incursion 1.1.0 testing.  We‘ve been looking into the issue since then and have come to the conclusion that making the EVE Online client backwards compatible with SSE1 and non-SSE compatible CPUs would cause a performance decrease for those with more up-to-date processors. Our data indicates that a very small segment of the EVE Online player base is affected (around 0.3%). As such a small number of players are affected, and making this support backwards compatible would adversely affect the 99.7% of players who are not affected by this compatibility issue, we feel that backwards compatibility would not be an appropriate fix.

We have therefore decided that the updated minimum specification of SSE2 compliant processors is permanent. Those players who are unable to launch the client because of this are advised to contact customer support for reimbursement of their gametime.

We apologize for the suddenness and short notice of this change.

Arnar Hrafn Gylfason
Senior Producer of EVE Online

P.S. I would like to remind everyone that we will also be updating the minimum specification for graphics cards in the coming months as detailed in my October blog.